import objectdraw.*;
import java.util.Scanner;

/**
 * This class manages command line input for the
 * TerminalDraw program
 * 
 * @author Jim Teresco (starter code)
 */
public class CommandLine extends ActiveObject {

    private boolean active = true;

    public CommandLine() {

        start();
    }

    public void run() {

        Scanner cmdLine = new Scanner(System.in);
        while (active) {
            System.out.println();
            System.out.print("Command? > ");
            String command = cmdLine.nextLine();
            if (command.equals("quit")) {
                active = false;
            }
            else {
                System.out.println("Unknown command: " + command);
            }

        }

    }

    public boolean isActive() {

        return active;
    }
}
